FalconryScale
DevelopersAPI reference

List a raptor’s medication courses

Returns one raptor’s medication courses (active and past), most recently started first. Capped at 200 rows by default (use `limit`).

GET
/raptors/{raptorId}/medications

Authorization

bearerAuth
headerAuthorizationBearer <token>

A Clerk user API key or OAuth access token carrying the falconry:read and/or falconry:write scope.

Path Parameters

raptorId*string

Opaque Convex document id.

Lengthlength <= 64

Query Parameters

limit?integer

Cap the number of rows returned, most recently started first. Default and max 200.

Range0 < value <= 200

Response Body

List a raptor’s medication courses

application/json
  1. response
medications*array<>
Example Request
curl -X GET 'https://app.falconryscale.com/api/v1/raptors/string/medications'
Example Response
{
  "medications": [
    {
      "id": "string",
      "raptorId": "string",
      "name": "string",
      "dosage": "string",
      "frequency": "string",
      "startDate": "string",
      "endDate": "string",
      "reminderEnabled": true,
      "reminderTime": "string",
      "linkedHealthRecordId": "string",
      "notes": "string",
      "doseLog": [
        {
          "date": "string",
          "status": "taken",
          "loggedAt": "string"
        }
      ],
      "loggedByName": "string"
    }
  ]
}